org.keycloak.protocol.oidc

## Class OIDCClientDescriptionConverterFactory

- java.lang.Object
- - org.keycloak.protocol.oidc.OIDCClientDescriptionConverterFactory

- All Implemented Interfaces:
    ClientDescriptionConverterFactory, ProviderFactory<ClientDescriptionConverter>

      public class OIDCClientDescriptionConverterFactory
      extends Object
      implements ClientDescriptionConverterFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCClientDescriptionConverterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientDescriptionConverter` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isSupported(String description)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OIDCClientDescriptionConverterFactory

          public OIDCClientDescriptionConverterFactory()

  - ### Method Detail

    - #### isSupported

          public boolean isSupported(String description)

      Specified by:
        `isSupported` in interface `ClientDescriptionConverterFactory`

    - #### create

          public ClientDescriptionConverter create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClientDescriptionConverter>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientDescriptionConverter>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.